Skip to main content
POST
/
v1
/
admin
/
identity
/
addresses
Create address
curl --request POST \
  --url https://{operatorDomain}/v1/admin/identity/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "addr_01h...",
  "label": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "country": "<string>"
}
'
{
  "id": "addr_01h...",
  "label": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "country": "<string>"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
Example:

"addr_01h..."

label
string | null
line1
string
line2
string | null
city
string
postalCode
string | null
country
string

Response

201 - application/json

Created address

id
string
Example:

"addr_01h..."

label
string | null
line1
string
line2
string | null
city
string
postalCode
string | null
country
string